maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christoph Pfeiffer (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (MJAVADOC-536) Wrong option argument (--class-path) if using Java 1.9 or higher
Date Thu, 23 Aug 2018 12:49:00 GMT

    [ https://issues.apache.org/jira/browse/MJAVADOC-536?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16590178#comment-16590178
] 

Christoph Pfeiffer edited comment on MJAVADOC-536 at 8/23/18 12:48 PM:
-----------------------------------------------------------------------

Thank you for reply. This is the maven command line execution of IntelliJ:

"C:\Program Files\Java\jdk-10.0.1\bin\java.exe" -Dmaven.multiModuleProjectDirectory=C:\Workspace\Java\Frameworks\jremote
-Dmaven.home=D:\apache-maven-3.5.4 -Dclassworlds.conf=D:\apache-maven-3.5.4\bin\m2.conf -javaagent:C:\Toolbox\apps\IDEA-U\ch-0\182.4129.33\lib\idea_rt.jar=50065:C:\Toolbox\apps\IDEA-U\ch-0\182.4129.33\bin
-Dfile.encoding=UTF-8 -classpath D:\apache-maven-3.5.4\boot\plexus-classworlds-2.5.2.jar org.codehaus.classworlds.Launcher
-Didea.version=2018.2.2 clean install

The Java Version 10.0.1 is shown in console if I enter "java -version":

java version "10.0.1" 2018-04-17
 Java(TM) SE Runtime Environment 18.3 (build 10.0.1+10)
 Java HotSpot(TM) 64-Bit Server VM 18.3 (build 10.0.1+10, mixed mode)

The used java version (1.8.0_72 is defined in JAVA_HOME. But the maven execution is overwritten
with Java Version 10.0.1.


was (Author: kleinerhacker):
Thank you for reply. This is the maven command line execution of IntelliJ:

"C:\Program Files\Java\jdk-10.0.1\bin\java.exe" -Dmaven.multiModuleProjectDirectory=C:\Workspace\Java\Frameworks\jremote
-Dmaven.home=D:\apache-maven-3.5.4 -Dclassworlds.conf=D:\apache-maven-3.5.4\bin\m2.conf -javaagent:C:\Toolbox\apps\IDEA-U\ch-0\182.4129.33\lib\idea_rt.jar=50065:C:\Toolbox\apps\IDEA-U\ch-0\182.4129.33\bin
-Dfile.encoding=UTF-8 -classpath D:\apache-maven-3.5.4\boot\plexus-classworlds-2.5.2.jar org.codehaus.classworlds.Launcher
-Didea.version=2018.2.2 clean install

The Java Version 10.0.1 is shown in console if I enter "java -version":

java version "10.0.1" 2018-04-17
Java(TM) SE Runtime Environment 18.3 (build 10.0.1+10)
Java HotSpot(TM) 64-Bit Server VM 18.3 (build 10.0.1+10, mixed mode)

The used java version is defined in JAVA_HOME. But the maven execution is overwritten with
Java Version 10.0.1.

> Wrong option argument (--class-path) if using Java 1.9 or higher
> ----------------------------------------------------------------
>
>                 Key: MJAVADOC-536
>                 URL: https://issues.apache.org/jira/browse/MJAVADOC-536
>             Project: Maven Javadoc Plugin
>          Issue Type: Bug
>          Components: javadoc
>    Affects Versions: 3.0.1
>         Environment: JDK 10.0.1
> Maven 3.5.4
> Windows 10
>            Reporter: Christoph Pfeiffer
>            Priority: Blocker
>              Labels: up-for-grabs
>
> If I build a project with Java 1.9 or higher (setup in compiler plugin) the javadoc plugin
creates a wrong option argument named _--class-path_ instead of _-classpath_. I found no work
arounds for this.
>  
> I get this error message:
> {noformat}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:3.0.1:jar
(generate-javadoc) on project jremote-api: MavenReportException: Error while generating Javadoc:

> [ERROR] Exit code: 1 - javadoc: error - invalid flag: --class-path
> [ERROR] 
> [ERROR] Command line was: "C:\Program Files\Java\jdk1.8.0_72\bin\javadoc.exe" @options
@packages @argfile
> [ERROR] 
> [ERROR] Refer to the generated Javadoc files in 'C:\Workspace\Java\Frameworks\jremote\api\target\apidocs'
dir.
> [ERROR] 
> [ERROR] -> [Help 1]
> [ERROR] 
> [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> [ERROR] 
> [ERROR] For more information about the errors and possible solutions, please read the
following articles:
> [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
> [ERROR] 
> [ERROR] After correcting the problems, you can resume the build with the command
> [ERROR]   mvn <goals> -rf :jremote-api
> {noformat}
>  
> Please see this github project and remove the _skip_ tag in root pom in _javadoc_ plugin
section to see this error: [https://github.com/KleinerHacker/jremote/|http://example.com]
>  
> With this error I cannot deploy to maven central repo cause I need a javadoc JAR.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message